Security update for ghostscript

SUSE Security Update: Security update for ghostscript
Announcement ID: SUSE-SU-2020:1220-1
Rating: important
References: #1170603
Cross-References:CVE-2020-12268
Affected Products:
  • SUSE Linux Enterprise Server for SAP 15
  • SUSE Linux Enterprise Server 15-LTSS
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1
  • SUSE Linux Enterprise Module for Desktop Applications 15-SP1
  • SUSE Linux Enterprise Module for Basesystem 15-SP1
  • SUSE Linux Enterprise High Performance Computing 15-LTSS
  • SUSE Linux Enterprise High Performance Computing 15-ESPOS

An update that fixes one vulnerability is now available.

Description:

This update for ghostscript to version 9.52 fixes the following issues:

  • CVE-2020-12268: Fixed a heap-based buffer overflow in jbig2_image_compose (bsc#1170603).

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Server for SAP 15:
    zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-2020-1220=1
  • SUSE Linux Enterprise Server 15-LTSS:
    zypper in -t patch SUSE-SLE-Product-SLES-15-2020-1220=1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-1220=1
  • SUSE Linux Enterprise Module for Desktop Applications 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-SP1-2020-1220=1
  • SUSE Linux Enterprise Module for Basesystem 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP1-2020-1220=1
  • SUSE Linux Enterprise High Performance Computing 15-LTSS:
    zypper in -t patch SUSE-SLE-Product-HPC-15-2020-1220=1
  • SUSE Linux Enterprise High Performance Computing 15-ESPOS:
    zypper in -t patch SUSE-SLE-Product-HPC-15-2020-1220=1

Package List:

  • SUSE Linux Enterprise Server for SAP 15 (ppc64le x86_64):
    • ghostscript-9.52-3.27.2
    • ghostscript-debuginfo-9.52-3.27.2
    • ghostscript-debugsource-9.52-3.27.2
    • ghostscript-devel-9.52-3.27.2
    • ghostscript-x11-9.52-3.27.2
    • ghostscript-x11-debuginfo-9.52-3.27.2
  • SUSE Linux Enterprise Server 15-LTSS (aarch64 s390x):
    • ghostscript-9.52-3.27.2
    • ghostscript-debuginfo-9.52-3.27.2
    • ghostscript-debugsource-9.52-3.27.2
    • ghostscript-devel-9.52-3.27.2
    • ghostscript-x11-9.52-3.27.2
    • ghostscript-x11-debuginfo-9.52-3.27.2
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (aarch64 ppc64le s390x x86_64):
    • ghostscript-mini-9.52-3.27.1
    • ghostscript-mini-debuginfo-9.52-3.27.1
    • ghostscript-mini-debugsource-9.52-3.27.1
    • ghostscript-mini-devel-9.52-3.27.1
  • SUSE Linux Enterprise Module for Desktop Applications 15-SP1 (aarch64 ppc64le s390x x86_64):
    • libspectre-debugsource-0.2.8-3.10.1
    • libspectre-devel-0.2.8-3.10.1
    • libspectre1-0.2.8-3.10.1
    • libspectre1-debuginfo-0.2.8-3.10.1
  • SUSE Linux Enterprise Module for Basesystem 15-SP1 (aarch64 ppc64le s390x x86_64):
    • ghostscript-9.52-3.27.2
    • ghostscript-debuginfo-9.52-3.27.2
    • ghostscript-debugsource-9.52-3.27.2
    • ghostscript-devel-9.52-3.27.2
    • ghostscript-x11-9.52-3.27.2
    • ghostscript-x11-debuginfo-9.52-3.27.2
  • SUSE Linux Enterprise High Performance Computing 15-LTSS (aarch64 x86_64):
    • ghostscript-9.52-3.27.2
    • ghostscript-debuginfo-9.52-3.27.2
    • ghostscript-debugsource-9.52-3.27.2
    • ghostscript-devel-9.52-3.27.2
    • ghostscript-x11-9.52-3.27.2
    • ghostscript-x11-debuginfo-9.52-3.27.2
  • SUSE Linux Enterprise High Performance Computing 15-ESPOS (aarch64 x86_64):
    • ghostscript-9.52-3.27.2
    • ghostscript-debuginfo-9.52-3.27.2
    • ghostscript-debugsource-9.52-3.27.2
    • ghostscript-devel-9.52-3.27.2
    • ghostscript-x11-9.52-3.27.2
    • ghostscript-x11-debuginfo-9.52-3.27.2

References: